GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
agent_expr Struct Reference

`#include "ax.h"`

## Public Member Functions
| agent_expr (struct gdbarch *gdbarch, CORE_ADDR scope)
| ~agent_expr ()

## Public Attributes
unsigned char * | buf
int | len
int | size
struct gdbarch * | gdbarch
CORE_ADDR | scope
enum agent_flaws | flaw
int | final_height
int | max_height
int | min_height
int | max_data_size
int | reg_mask_len
unsigned char * | reg_mask
unsigned int | tracing: 1
int | trace_string

## Detailed Description

Definition at line 83 of file ax.h.

## Constructor & Destructor Documentation

## ◆ agent_expr()

agent_expr::agent_expr | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | scope
| ) |  |
| explicit

Definition at line 40 of file ax-general.c.

References buf, gdbarch, len, reg_mask, reg_mask_len, scope, size, trace_string, tracing, XCNEWVEC, and xmalloc().

## ◆ ~agent_expr()

agent_expr::~agent_expr | ( |  | ) |

Definition at line 58 of file ax-general.c.

References buf, reg_mask, and xfree().

## Member Data Documentation

## ◆ buf

unsigned char* agent_expr::buf

Definition at line 91 of file ax.h.

Referenced by agent_expr(), append_const(), ax_goto(), ax_label(), ax_print(), ax_raw_byte(), ax_reg(), ax_reqs(), ax_string(), ax_trace_quick(), ax_tsv(), generic_ext(), grow_expr(), read_const(), remote_add_target_side_commands(), remote_add_target_side_condition(), and ~agent_expr().

## ◆ final_height

int agent_expr::final_height

Definition at line 111 of file ax.h.

Referenced by ax_reqs().

## ◆ flaw

enum agent_flaws agent_expr::flaw

Definition at line 107 of file ax.h.

Referenced by ax_reqs(), and report_agent_reqs_errors().

## ◆ gdbarch

struct gdbarch* agent_expr::gdbarch

Definition at line 100 of file ax.h.

Referenced by agent_expr(), ax_print(), ax_reg(), ax_reg_mask(), compile_probe_arg(), dtrace_probe::compile_to_ax(), stap_probe::compile_to_ax(), dwarf2_compile_expr_to_ax(), gen_bitfield_ref(), gen_expr(), gen_expr_binop_rest(), gen_frame_args_address(), gen_frame_locals_address(), gen_integral_promotions(), gen_usual_arithmetic(), and gen_var_ref().

## ◆ len

int agent_expr::len

Definition at line 94 of file ax.h.

Referenced by agent_expr(), append_const(), ax_goto(), ax_print(), ax_raw_byte(), ax_reg(), ax_reqs(), ax_string(), ax_trace_quick(), ax_tsv(), dwarf2_compile_expr_to_ax(), gen_expr(), gen_sizeof(), generic_ext(), grow_expr(), read_const(), remote_add_target_side_commands(), and remote_add_target_side_condition().

## ◆ max_data_size

int agent_expr::max_data_size

Definition at line 118 of file ax.h.

Referenced by ax_reqs().

## ◆ max_height

int agent_expr::max_height

Definition at line 114 of file ax.h.

Referenced by ax_reqs(), and report_agent_reqs_errors().

## ◆ min_height

int agent_expr::min_height

Definition at line 114 of file ax.h.

Referenced by ax_reqs(), and report_agent_reqs_errors().

## ◆ reg_mask

unsigned char* agent_expr::reg_mask

Definition at line 138 of file ax.h.

Referenced by agent_expr(), ax_print(), ax_reg_mask(), and ~agent_expr().

## ◆ reg_mask_len

int agent_expr::reg_mask_len

Definition at line 137 of file ax.h.

Referenced by agent_expr(), ax_print(), and ax_reg_mask().

## ◆ scope

CORE_ADDR agent_expr::scope

Definition at line 103 of file ax.h.

Referenced by agent_expr(), ax_print(), compile_probe_arg(), dwarf2_compile_expr_to_ax(), gen_expr(), gen_frame_args_address(), gen_frame_locals_address(), gen_maybe_namespace_elt(), get_ax_pc(), and loclist_tracepoint_var_ref().

## ◆ size

int agent_expr::size

Definition at line 97 of file ax.h.

Referenced by agent_expr(), and grow_expr().

## ◆ trace_string

int agent_expr::trace_string

Definition at line 155 of file ax.h.

Referenced by agent_expr(), and gen_traced_pop().

## ◆ tracing

unsigned int agent_expr::tracing

Definition at line 149 of file ax.h.

Referenced by access_memory(), agent_expr(), gen_bitfield_ref(), gen_expr(), gen_fetch(), and gen_traced_pop().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/ax.h
- /tmp/gdb-8.1/gdb/ax-general.c